Chromium açık kaynaklı kodlarını yüklerken hata alıyorum

(Yusuf Kozan) #1

Merhaba,
Chromium tabanlı bir internet tarayıcısı yapayım, dedim. Kodlarının Linux sürümünü (https://chromium.googlesource.com/chromium/src/+/master/docs/linux_build_instructions.md#notes) Pardus’ a kurarken

$ ./build/install-build-deps.sh

komutunu Uçbirim’ de çalıştırdığımda şu hatayı alıyorum:

ERROR: The only supported distros are
Ubuntu 14.04 LTS (trusty with EoL April 2022)
Ubuntu 16.04 LTS (xenial with EoL April 2024)
Ubuntu 18.04 LTS (bionic with EoL April 2028)
Ubuntu 19.04 (disco)
Debian 8 (jessie) or later

Not: Pardus 17.5 kullanıyorum.
Bu sorunu nasıl çözebilirim? Şimdiden teşekkürler!

0 Likes

(Batuhan Arslanoğlu) #2

Sanal pc ye ubuntu kurup orada derlemeyi deneyin

0 Likes

(Yusuf Kozan) #3

Sanal makine kurmadan şu şekilde denedim:

sudo sh ./build/install-build-deps.sh

Bu sefer de şu hatayı verdi:
./build/install-build-deps.sh: 58: ./build/install-build-deps.sh: Syntax error: redirection unexpected

Söylediği kod satırı şu:
local escaped="$(echo $1 | sed ‘s/[~+.:-]/\&/g’)"
[ ! -z “$(grep “^${escaped}$” <<< “${apt_package_list}”)” ]

0 Likes

(system) kapatıldı #4

Bu konu son cevaptan 30 gün sonra otomatik olarak kapatıldı. Yeni cevap girilmesine izin verilmiyor.

0 Likes